Library.LibRowdy.Setup(...);

import "core";
import "string";
import "event";
import "class";

package "ui";

--[[
	UI context wrapper
]]
do
	local base, metatable, methods = nil, nil, { };

	-- constructor
	UI.Context = function(name)
		assert(type(name) == "string", "UI.Context requires 'name' (string) parameter");
	
		local self = _G.UI.CreateContext(name);
		
		base, metatable = class(base, metatable, methods, self, UI.Context);

		return self;
	end
end